Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.nxt
Class LCD

    java.lang.Object
      lejos.nxt.LCD

    public class LCD

extends Object

LCD routines.

Method Summary
`static void` | `clear()` Clear the display.
`static void` | `drawInt(int i, int x, int y)` Display an int on the LCD at specified x,y co-ordinate.
`static void` | `drawInt(int i, int places, int x, int y)` Display an in on the LCD at x,y with leading spaces to occupy at least the number of characters specified by the places parameter.
`static void` | `drawString(String str, int x, int y)` Display a string on the LCD at specified x,y co-ordinate.
`static void` | `refresh()` Update the display.
`static void` | `setDisplay(int[] buff)` Write graphics from a Java buffer to the display.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Method Detail

### drawString

    public static void drawString(String str,
                                  int x,
                                  int y)

  Display a string on the LCD at specified x,y co-ordinate.

### drawInt

    public static void drawInt(int i,
                               int x,
                               int y)

  Display an int on the LCD at specified x,y co-ordinate.

### drawInt

    public static void drawInt(int i,
                               int places,
                               int x,
                               int y)

  Display an in on the LCD at x,y with leading spaces to occupy at least the number of characters specified by the places parameter.

### refresh

    public static void refresh()

  Update the display.

### clear

    public static void clear()

  Clear the display.

### setDisplay

    public static void setDisplay(int[] buff)

  Write graphics from a Java buffer to the display.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD